package com.chenyang.nse.bussiness.dao.table.base;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_global_encryption_original_config"
)
class TGlobalEncryptionOriginalConfig {
   @Id
   String project_id;
   Integer global_original_status;

   public TGlobalEncryptionOriginalConfig() {
   }

   public String getProject_id() {
      return this.project_id;
   }

   public Integer getGlobal_original_status() {
      return this.global_original_status;
   }

   public void setProject_id(final String project_id) {
      this.project_id = project_id;
   }

   public void setGlobal_original_status(final Integer global_original_status) {
      this.global_original_status = global_original_status;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TGlobalEncryptionOriginalConfig)) {
         return false;
      } else {
         TGlobalEncryptionOriginalConfig other = (TGlobalEncryptionOriginalConfig)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$project_id = this.getProject_id();
            Object other$project_id = other.getProject_id();
            if (this$project_id == null) {
               if (other$project_id != null) {
                  return false;
               }
            } else if (!this$project_id.equals(other$project_id)) {
               return false;
            }

            Object this$global_original_status = this.getGlobal_original_status();
            Object other$global_original_status = other.getGlobal_original_status();
            if (this$global_original_status == null) {
               if (other$global_original_status != null) {
                  return false;
               }
            } else if (!this$global_original_status.equals(other$global_original_status)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TGlobalEncryptionOriginalConfig;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $project_id = this.getProject_id();
      result = result * 59 + ($project_id == null ? 43 : $project_id.hashCode());
      Object $global_original_status = this.getGlobal_original_status();
      result = result * 59 + ($global_original_status == null ? 43 : $global_original_status.hashCode());
      return result;
   }

   public String toString() {
      return "TGlobalEncryptionOriginalConfig(project_id=" + this.getProject_id() + ", global_original_status=" + this.getGlobal_original_status() + ")";
   }
}
